/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "eventtext.h"

typedef enum {
  EVENT_TYPE_NULL = 0,
  EVENT_TYPE_TEXT,
} eventtype_t;

typedef struct _eventitem_t {
  eventtype_t type;

  union {
    eventtext_t texts;
  };
} eventitem_t;

#define EVENT_ITEM_COUNT_MAX 32

typedef struct {
  uint8_t itemCount;
  eventitem_t items[EVENT_ITEM_COUNT_MAX];
} event_t;